Creates a new job work instruction list.
Request Information
URI Parameters :
None.
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "637b548b-063f-47de-aee3-45cda8c5cbc6",
"jobs_id": "d1eace8e-35bc-45bd-a8a3-ed21c6f34180",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "b3d04b16-12dc-4173-b63b-9509c2706d04",
"_parent_id": "33f69c3c-20d6-440a-90ff-f7c2679b56d0",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "11ab7886-9148-41f1-bda2-952ba4072194",
"project_reference_back_office": "sample string 5",
"project": {
"id": "21b48f32-6d94-48be-babb-7a9070f07b6a",
"_parent_id": "d8da81d8-a1d4-4479-843c-275be351d831",
"root_parent_id": "200d2049-2fd1-47c9-8dee-cd3985413358",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "fff2f07b-c178-45b8-a31e-8025d743151b",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "ae3cb459-1f0b-4a42-9aca-15361b581794",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a1740652-52b2-4d05-bac1-17c759a14ba1",
"_parent_code": "sample string 6",
"sales_organization_id": "4850c0b4-4412-45c0-8e7c-6d1dae12088b",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"equipment_model_id": "13b4e598-5bd9-4ca0-96b2-9e0df6257d97",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "bf0336a8-9141-4321-b310-4e732f049c36",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "31bfbddb-1622-472b-9cc1-665ed5d7f744",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "1a135d53-6fd1-4835-bdbb-802507884b77",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "1ace3b11-e442-4086-88fa-9b3856f6352c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"equipment_family_id": "0a455c7d-5d39-44ab-82dc-1ffd2c5ba3fd",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "ae3cb459-1f0b-4a42-9aca-15361b581794",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a1740652-52b2-4d05-bac1-17c759a14ba1",
"_parent_code": "sample string 6",
"sales_organization_id": "4850c0b4-4412-45c0-8e7c-6d1dae12088b",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"date_in_production_since": "2026-10-26T09:15:45.1465677+00:00",
"date_out_of_production_since": "2026-10-26T09:15:45.1465677+00:00",
"date_end_support": "2026-10-26T09:15:45.1465677+00:00",
"sales_organization_id": "589394b6-6c89-42b3-b287-b85275338397",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00"
},
"project_status_id": "8aebe452-8914-47cd-869b-40a87215a141",
"project_status_code": "sample string 10",
"project_status": {
"id": "fbc2a3d6-f10b-48af-9c55-3559a855a7ee",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "fd8fb708-be13-4b33-8fbe-b8e064e82bdd",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00"
},
"company_id": "9656bbe5-e6ab-4382-bbba-d81466f1f2a8",
"company_code": "sample string 12",
"db_address_id": "bcd0331f-faff-41f8-a585-f176559c85f9",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "d5cedb00-6f8a-4b8a-a7a4-f358e8fda5da",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "580ce857-c42b-4100-acc5-275f7cdd2d5f",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-26T09:15:45.1621933+00:00",
"date_create": "2026-10-26T09:15:45.1621933+00:00",
"date_update": "2026-10-26T09:15:45.1621933+00:00",
"updated_by_user_id": "cb0b133c-32f1-4ec0-8d99-065ddec8b89c",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-26T09:15:45.1621933+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-26T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-26T09:15:45.1621933+00:00",
"date_last_job": "2026-10-26T09:15:45.1621933+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-26T09:15:45.1621933+00:00",
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00",
"is_mobile_installation": true
},
"job_type_id": "a6c6e1d7-841c-4f1f-9ba0-42fac9498f8d",
"job_type_code": "sample string 7",
"job_type": {
"id": "2a2cd7b2-ce82-4517-bf6b-fa8ac6e1569f",
"name": "sample string 2",
"sales_organization_id": "22927420-2227-421e-91a1-eae9bc46947e",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00",
"code": "sample string 7"
},
"job_priority_id": "9d425136-ee81-4a0c-a0df-5675417f38c7",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "b6a4072d-4bdf-4c41-be3f-f2b4986039e9",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "622a68b7-92d6-4100-b3e3-a97f37fa9eca",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00"
},
"job_status_id": "c3610084-ec27-48e5-a31a-80c7286600a5",
"job_status_code": "sample string 11",
"db_address_id": "3f449b2d-5067-42ea-83f0-1be37b428e42",
"contact_id": "7d6c4852-291c-44b6-bda8-ee5607bc2173",
"requested_by_company_id": "36eb68c4-58bb-4181-b00a-2ecde8f8c039",
"requested_by_contact_id": "1b747111-5169-4b1f-afbb-ca11a7ceaec7",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-26T09:15:45.1621933+00:00",
"due_date": "2026-10-26T09:15:45.1621933+00:00",
"date_create": "2026-10-26T09:15:45.1621933+00:00",
"date_update": "2026-10-26T09:15:45.1621933+00:00",
"date_closed": "2026-10-26T09:15:45.1621933+00:00",
"suggested_user_id": "a1d48ccd-af67-491d-b5cf-ab002bad2da4",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "26eefc30-b2f4-4e83-a876-6232e0b6134a",
"db_language_id": "234d4ad6-102b-42aa-9067-b8871cb3c38e",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-26T09:15:45.1621933+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "06440151-9567-4358-b918-c62b5e8409cc",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "0b3abd02-424b-4455-a1b2-cd2366de98b9",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "728b8dbe-294d-49a9-a8cf-db29cdd6948e",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "49ae7224-ef0a-4522-afd9-515340ec0b03"
},
"suggested_date_start": "2026-10-26T09:15:45.1621933+00:00",
"skill_id": "be8f9197-7f50-4745-870f-920f9adf9dda",
"skill_code": "sample string 32",
"skill": {
"id": "ebdbc014-fa37-4d57-b7e4-8d14b2d60c86",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "e3a8e4ce-3393-4c1b-ad77-3401c641786f",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bb8d2d58-15b2-45e0-8d42-611cd62cacc2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb9daf-5a5a-4842-a8ac-2eee61bd3a00",
"db_currency_id": "010f3096-0f4c-4979-a915-0d096d06d893",
"db_language_id": "1b78dc78-d03b-4a29-bbb9-898e09241cf3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T09:15:45.1465677+00:00"
},
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "b176a7a8-899b-4aa6-a6b6-68ad6bb5e243",
"date_reported_by_company": "2026-10-26T09:15:45.1621933+00:00",
"id2": 36,
"company_id": "34db278b-e9cc-4dea-82b9-bc6a34031f3a",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "192f07ea-cec4-4f67-a542-2dbde12a5ac9",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-26T09:15:45.1621933+00:00"
},
"work_instruction_details_id": "5c298716-81a4-404e-be35-e7d7b01bc7a2",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "e053fb6c-fb1b-4a8c-9554-4e0e61054746",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "b9a3faee-6de2-43eb-a23b-64f37e6693a1",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-10-26T09:15:45.1795935+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "cbcff56d-b181-4799-9554-2b64d783644a",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-10-26T09:15:45.1795935+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.